from __future__ import annotations

from fastapi import APIRouter

from app.api.v1.endpoints import achievements, auth, content, progress, users

api_router = APIRouter()
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(content.router, prefix="/content", tags=["content"])
api_router.include_router(progress.router, prefix="/progress", tags=["progress"])
api_router.include_router(achievements.router, prefix="/achievements", tags=["achievements"])
